package eu.ztsh.wymiana.web.model;

import eu.ztsh.wymiana.model.Symbol;
import eu.ztsh.wymiana.validation.ValidExchangeRequest;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;
import org.hibernate.validator.constraints.pl.PESEL;

import java.math.BigDecimal;

@Builder
@ValidExchangeRequest
public record CurrencyExchangeRequest(
    @PESEL String pesel,
    @NotNull Symbol from,
    @NotNull Symbol to,
    BigDecimal toBuy,
    BigDecimal toSell
) {

}
